Package com.avaya.clientservices.media

## Enum AudioTone

- java.lang.Object
- - java.lang.Enum<AudioTone>
  - - com.avaya.clientservices.media.AudioTone

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AudioTone>`

      public enum AudioTone
      extends java.lang.Enum<AudioTone>

  Audio Tones playable by the AudioFilePlayer. Resources for these tones must be available at VoIPConfigurationAudio toneFilePath.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BUSY` |
    `BUTTON_CLICK_EFFECT` |
    `CALL_PICKUP_ALERT` |
    `CALL_PICKUP_END_ALERT` |
    `COVERAGE` |
    `DIAL` |
    `DTMF_A` |
    `DTMF_B` |
    `DTMF_C` |
    `DTMF_D` |
    `DTMF_EIGHT` |
    `DTMF_FIVE` |
    `DTMF_FOUR` |
    `DTMF_NINE` |
    `DTMF_ONE` |
    `DTMF_PAUSE` |
    `DTMF_POUND` |
    `DTMF_SEVEN` |
    `DTMF_SIX` |
    `DTMF_STAR` |
    `DTMF_THREE` |
    `DTMF_TWO` |
    `DTMF_ZERO` |
    `ERROR_BEEP` |
    `INCOMING_AUTO_CALL_BACK` |
    `INCOMING_CALL_AUTO_ANSWER` |
    `INCOMING_CALL_EXTERNAL` |
    `INCOMING_CALL_INTERCOM` |
    `INCOMING_CALL_INTERNAL` |
    `INCOMING_CALL_PRIORITY` |
    `INTERCEPT` |
    `PUBLIC_DIAL` |
    `REORDER` |
    `RING_BACK` |
    `UNDEFINED` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AudioTone` | `fromInt​(int v)` |
    `int` | `intValue()` |
    `static AudioTone` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AudioTone[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final AudioTone UNDEFINED

    - #### INCOMING_CALL_INTERNAL

          public static final AudioTone INCOMING_CALL_INTERNAL

    - #### INCOMING_CALL_EXTERNAL

          public static final AudioTone INCOMING_CALL_EXTERNAL

    - #### INCOMING_CALL_INTERCOM

          public static final AudioTone INCOMING_CALL_INTERCOM

    - #### INCOMING_CALL_PRIORITY

          public static final AudioTone INCOMING_CALL_PRIORITY

    - #### INCOMING_CALL_AUTO_ANSWER

          public static final AudioTone INCOMING_CALL_AUTO_ANSWER

    - #### INCOMING_AUTO_CALL_BACK

          public static final AudioTone INCOMING_AUTO_CALL_BACK

    - #### REORDER

          public static final AudioTone REORDER

    - #### INTERCEPT

          public static final AudioTone INTERCEPT

    - #### BUSY

          public static final AudioTone BUSY

    - #### DIAL

          public static final AudioTone DIAL

    - #### PUBLIC_DIAL

          public static final AudioTone PUBLIC_DIAL

    - #### RING_BACK

          public static final AudioTone RING_BACK

    - #### COVERAGE

          public static final AudioTone COVERAGE

    - #### CALL_PICKUP_ALERT

          public static final AudioTone CALL_PICKUP_ALERT

    - #### CALL_PICKUP_END_ALERT

          public static final AudioTone CALL_PICKUP_END_ALERT

    - #### DTMF_ZERO

          public static final AudioTone DTMF_ZERO

    - #### DTMF_ONE

          public static final AudioTone DTMF_ONE

    - #### DTMF_TWO

          public static final AudioTone DTMF_TWO

    - #### DTMF_THREE

          public static final AudioTone DTMF_THREE

    - #### DTMF_FOUR

          public static final AudioTone DTMF_FOUR

    - #### DTMF_FIVE

          public static final AudioTone DTMF_FIVE

    - #### DTMF_SIX

          public static final AudioTone DTMF_SIX

    - #### DTMF_SEVEN

          public static final AudioTone DTMF_SEVEN

    - #### DTMF_EIGHT

          public static final AudioTone DTMF_EIGHT

    - #### DTMF_NINE

          public static final AudioTone DTMF_NINE

    - #### DTMF_STAR

          public static final AudioTone DTMF_STAR

    - #### DTMF_POUND

          public static final AudioTone DTMF_POUND

    - #### DTMF_A

          public static final AudioTone DTMF_A

    - #### DTMF_B

          public static final AudioTone DTMF_B

    - #### DTMF_C

          public static final AudioTone DTMF_C

    - #### DTMF_D

          public static final AudioTone DTMF_D

    - #### DTMF_PAUSE

          public static final AudioTone DTMF_PAUSE

    - #### BUTTON_CLICK_EFFECT

          public static final AudioTone BUTTON_CLICK_EFFECT

    - #### ERROR_BEEP

          public static final AudioTone ERROR_BEEP

  - ### Method Detail

    - #### values

          public static AudioTone[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AudioTone c : AudioTone.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AudioTone valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromInt

          public static AudioTone fromInt​(int v)

    - #### intValue

          public int intValue()